Modify

Opened 7 years ago

Closed 19 months ago

Last modified 9 months ago

#7198 closed task (fixed)

NETGEAR WNR3500L Support

Reported by: gregd72002@… Owned by: hauke
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: wnr3500l, router, netgear Cc:

Description

I would like to see NETGEAR WNR3500L support.

Attachments (5)

netgear-images.patch (1.3 KB) - added by hauke 5 years ago.
netgear-images_v2.patch (1.4 KB) - added by florida 5 years ago.
Add board id in netgear patch for the model wndr3700 version 3
board_data.bin (64.0 KB) - added by myeyre@… 5 years ago.
wnr3500l board_data partition dumped under tomato usb
board_data2.bin (64.0 KB) - added by florida 5 years ago.
board data from the original firmare (V1.2.2.44_35.0.53)
775-bgmac-check-length-of-received-frame.patch (1.3 KB) - added by hauke 3 years ago.

Download all attachments as: .zip

Change History (95)

comment:1 in reply to: ↑ description Changed 7 years ago by gregd72002

Replying to gregd72002@…:

I would like to see NETGEAR WNR3500L support.

Please note that this device is very similar to Asus RT-N16 ( https://dev.openwrt.org/ticket/6580 ). The main difference is the 'chip-id' which is 0x4718 instead of (0x4716). There are some evidences of successful boot using modified patch from Asus RT-N16 (with maintained proper 'chip-id').

comment:2 Changed 7 years ago by anonymous

To my knowledge these two routers (the WNR3500L and the rt-n16) have the same chip (bcm4718)

comment:3 Changed 7 years ago by rtz2

  • Owner changed from developers to rtz2
  • Status changed from new to accepted

The RT-N16 has a 4716 soc.
Anyway, I have a WNR3500L on the way and will start on adding support for it in short order.

comment:4 Changed 7 years ago by gregd72002

Patch for wnr3500l has been posted to the mailing list: https://lists.openwrt.org/pipermail/openwrt-devel/2010-April/006928.html

rtz2, since you have the experience in 4716 .. you might want to compare the patch for rt-n16 and wnr3500l. Overall the wnr3500l patch posted above looks very tidy and clean. It might be much easier to incorporate this wnr3500l patch into the trunk than to incorporate the patch we have for rt-n16.

comment:5 Changed 7 years ago by rtz2

The differences between the 4716/7/8 seem to be in the external interfaces.
Number of usb ports, supported ram type, pcie and so on.

Anway this patch should get the basics working: https://lists.openwrt.org/pipermail/openwrt-devel/2010-May/007049.html

Minus the serial flash support.

comment:6 Changed 6 years ago by kost

Any progress on this?

I see some patches flying around, but not applied:
https://lists.openwrt.org/pipermail/openwrt-devel/2010-June/007251.html
https://lists.openwrt.org/pipermail/openwrt-devel/2010-July/007607.html

I see that DD-WRT is supporting this, so looks like possible.

comment:7 follow-up: Changed 6 years ago by Alex

is there 802.11N support on this router?

comment:8 in reply to: ↑ 7 Changed 6 years ago by jmccrohan

Replying to Alex:

is there 802.11N support on this router?

Yes. In the 2.4GHz band only.

comment:9 Changed 6 years ago by yume

Is there any way at this time to compile backfire from svn for this router?

comment:10 Changed 6 years ago by rocketman110@…

I have a netgear wnr3500l as well and would be interested in this as well. Is there anything I can do to help? Unfortunatly I have alot to learn about kernel patching :/ Other issues I can help with.

comment:11 Changed 6 years ago by anonymous

I have a wnr3500L and would also like to see it supported officially.

comment:12 Changed 6 years ago by deepz

would sure like it to be supported. DD has it so why not open?

comment:13 Changed 6 years ago by anonymous

please support wnr3500l ...

comment:14 Changed 6 years ago by anonymous

I would also like to add a request to support the Netgear WNR3500L router in backfire.

comment:15 Changed 6 years ago by anonymous

I have a wnr3500L and would also like to add a request to support the Netgear WNR3500L router in backfire.

comment:16 in reply to: ↑ description Changed 5 years ago by anonymous

I would like OpenWRT support for the WNR3500L too :-)

comment:17 Changed 5 years ago by wolfmoon@…

I have a wnr3500l for testing purposes connected with ttl-rs232 so I could do some debug if someone have any images for testing. Meanwhile I'll try to get into the compiling and building image process and then maybe i'll be more useful :-)

comment:18 Changed 5 years ago by anonymous

I can build and publish brcm4716-based image (see ASUS RT-N16 Support) with serial flash support built in (see Missing support for broadcom serial flash support for brcm47xx target) but I don't know which exactly image among those .trx/.bin/.chk is suitable for wnr3500l and if there is some special image packaging required for it.

comment:19 Changed 5 years ago by anonymous

i also just got a wnr3500l and would like to install openwrt on it. devs, please support this router.
thank you!

comment:20 Changed 5 years ago by myeyre@…

I got the both models so called Open Routers: WGR614L, WNR3500L.

I was disappointed when found no officiall Openwrt support with WGR614L, and got angry with Netgear when it come to WNR3500L. How a router without Openwrt called a Open Router??

Hope the community can have the job done which Netgear failed to do. Looking forward the official Openwrt release for the both model.

comment:21 Changed 5 years ago by anonymous

can you please consider supporting the wnr3500l ?

how could i help?

comment:22 Changed 5 years ago by anonymous

+1

comment:23 Changed 5 years ago by florianaliasn3rd@…

+another one

comment:24 Changed 5 years ago by anonymous

+1

comment:25 Changed 5 years ago by anonymous

all the patches are ready, please support wnr3500l !

comment:26 Changed 5 years ago by hauke

  • Owner changed from rtz2 to hauke
  • Status changed from accepted to assigned

The WGR614L should be supported for some months now as serial flash should work. I have never tested that because I do not own a WGR614L.

OpenWrt should boot on the WNR3500L, but Ethernet does not work, but Wifi should. ;-)
Non of us developers have any of these devices so adding support for them is not so easily possible.

comment:27 Changed 5 years ago by jmccrohan

Hauke: I have a WNR3500L. I may be able to help with adding support.

comment:28 follow-up: Changed 5 years ago by myeyre@…

@hauke: I got WGR614L with TTL soldered, maybe I could help with OpenWrt debugging.

But I think both of the WGR614L and WNR3500L deserve a .chk file with header info for factory upgrade.

Both the models got different flash layout then WRT54G series, like MAC in board_data partition other then CFE.

#WGR614v8 Official Netgear firmware flash layout:
# dmesg
Creating 8 MTD partitions on "sflash":
0x00000000-0x00020000 : "boot"
0x00020000-0x003b0000 : "linux"
0x0009b98c-0x003b0000 : "rootfs"
0x003b0000-0x003c0000 : "T_Meter1"
0x003c0000-0x003d0000 : "T_Meter2"
0x003d0000-0x003e0000 : "POT"
0x003e0000-0x003f0000 : "board_data"
0x003f0000-0x00400000 : "nvram"

#WNR3500L Official Firmware
# cat /proc/mtd
dev: size erasesize name
mtd0: 00040000 00010000 "boot"
mtd1: 00750000 00010000 "linux"
mtd2: 00612da0 00010000 "rootfs"
mtd3: 00010000 00010000 "ML1"
mtd4: 00010000 00010000 "ML2"
mtd5: 00010000 00010000 "T_Meter1"
mtd6: 00010000 00010000 "T_Meter2"
mtd7: 00010000 00010000 "POT"
mtd8: 00010000 00010000 "board_data"
mtd9: 00010000 00010000 "nvram"

Hope it could help.

comment:29 Changed 5 years ago by myeyre@…

sorry, here comes a better formatted flash layout:

#WGR614v8 Official Netgear firmware flash layout: 
#dmesg
Creating 8 MTD partitions on "sflash": 
0x00000000-0x00020000 : "boot" 
0x00020000-0x003b0000 : "linux" 
0x0009b98c-0x003b0000 : "rootfs" 
0x003b0000-0x003c0000 : "T_Meter1" 
0x003c0000-0x003d0000 : "T_Meter2" 
0x003d0000-0x003e0000 : "POT" 
0x003e0000-0x003f0000 : "board_data" 
0x003f0000-0x00400000 : "nvram" 

#WNR3500L Official Firmware
# cat /proc/mtd
dev:    size   erasesize  name
mtd0: 00040000 00010000 "boot"
mtd1: 00750000 00010000 "linux"
mtd2: 00612da0 00010000 "rootfs"
mtd3: 00010000 00010000 "ML1"
mtd4: 00010000 00010000 "ML2"
mtd5: 00010000 00010000 "T_Meter1"
mtd6: 00010000 00010000 "T_Meter2"
mtd7: 00010000 00010000 "POT"
mtd8: 00010000 00010000 "board_data"
mtd9: 00010000 00010000 "nvram"

comment:30 Changed 5 years ago by myeyre@…

DD-WRT flash layouts:

#WGR614v8-L
Creating 5 MTD partitions on "sflash": 
0x00000000-0x00020000 : "cfe" 
0x00020000-0x003b0000 : "linux" 
0x00104c00-0x00320000 : "rootfs" 
mtd: partition "rootfs" doesn''t start on an erase block boundary -- force read-only 
0x003f0000-0x00400000 : "nvram" 
0x00320000-0x003a0000 : "ddwrt"

#WNR3500L
Creating 5 MTD partitions on "sflash":
0x00000000-0x00040000 : "cfe"
0x00040000-0x007b0000 : "linux"
0x0019a800-0x00390000 : "rootfs"
mtd: partition "rootfs" doesn't start on an erase block boundary -- force read-only
0x007f0000-0x00800000 : "nvram"
0x00390000-0x007a0000 : "ddwrt"

comment:31 Changed 5 years ago by anonymous

i'm happy that there is life and progress in this thread again!

comment:32 in reply to: ↑ 28 Changed 5 years ago by hauke

Replying to myeyre@…:

@hauke: I got WGR614L with TTL soldered, maybe I could help with OpenWrt debugging.

You should make a backup of your flash in case something goes wrong and ttl is mandatory as it only should work. ;-)

But I think both of the WGR614L and WNR3500L deserve a .chk file with header info for factory upgrade.

Remove the comment from target/linux/brcm47xx/image/Makefile in line 115 to generate a image for the WGR614L or use the attached patch it should generate image form some Netgear devices.

Both the models got different flash layout then WRT54G series, like MAC in board_data partition other then CFE.

The board_data partition will be recognized on the WGR614L and WNR3500L, but the data in it will not be interpreted in any way. the ML1, ML2, T_Meter1, T_Meter2 and POT partition will be overwritten by OpenWrt! I do not know if any of the data stored in that partition is needed.
OpenWrt should boot without being able to access nvram or some other storage replacing nvram.

#WGR614v8 Official Netgear firmware flash layout:
# dmesg
Creating 8 MTD partitions on "sflash":
0x00000000-0x00020000 : "boot"
0x00020000-0x003b0000 : "linux"
0x0009b98c-0x003b0000 : "rootfs"
0x003b0000-0x003c0000 : "T_Meter1"
0x003c0000-0x003d0000 : "T_Meter2"
0x003d0000-0x003e0000 : "POT"
0x003e0000-0x003f0000 : "board_data"
0x003f0000-0x00400000 : "nvram"

#WNR3500L Official Firmware
# cat /proc/mtd
dev: size erasesize name
mtd0: 00040000 00010000 "boot"
mtd1: 00750000 00010000 "linux"
mtd2: 00612da0 00010000 "rootfs"
mtd3: 00010000 00010000 "ML1"
mtd4: 00010000 00010000 "ML2"
mtd5: 00010000 00010000 "T_Meter1"
mtd6: 00010000 00010000 "T_Meter2"
mtd7: 00010000 00010000 "POT"
mtd8: 00010000 00010000 "board_data"
mtd9: 00010000 00010000 "nvram"

Hope it could help.

Changed 5 years ago by hauke

comment:33 Changed 5 years ago by myeyre@…

@hauke: I checked out trunk r28491, applied your patch, compiled using default settings, then I got all chk generated.

I first tried to flash openwrt-brcm47xx-squashfs.trx under DD-WRT using mtd, it flashed and booted, but with problems, there were no network interfaces, and it crashed board_data on the very first boot.

I reflashed official firmware, then flashed openwrt-wgr614_v8-squashfs.chk using tftp, same problems as above.

Then I reflashed official firmware, then DD-WRT, then openwrt-brcm47xx-squashfs.trx v10.03.1-rc5 under DD-WRT using mtd, it flashed, but refused to boot?? seemed chksum problem.

Here comes the TTL console log I tried the openwrt-wgr614_v8-squashfs.chk:

CFE for WGR614v8 version: 1.3
Build Date: Fri Apr 20 14:04:44 CST 2007 
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 4.138.1.0
Device eth0:  hwaddr 00-1B-2F-F5-A6-32, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Loading .
Image chksum: 0xFFFFFFFF
Calc  chksum: 0x00000000
Invalid boot block on disk
Start TFTP server
Reading :: Done. 2953274 bytes read
Loading ..................................
Programming...done. 2953274 bytes written
Write len/chksum offset @ 0x0038FFF8...done.


CFE for WGR614v8 version: 1.3
Build Date: Fri Apr 20 14:04:44 CST 2007 
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 4.138.1.0
Device eth0:  hwaddr 00-1B-2F-F5-A6-32, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Loading ..................................
too long file.
LZMA boot failed
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3788 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
Linux version 3.0.3 (eric@ubuntu) (gcc version 4.5.4 20110808 (prerelease) (Linaro GCC 4.5-2011.08) ) #2 Fri Oct 21 09:12:55 CST 2011
CPU revision is: 00029029 (Broadcom BMIPS3300)
bcm47xx: using ssb bus
ssb: chipcommon status is 0x0
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 4 => 4
ssb: set_irq: core 0x0816, irq 5 => 2
ssb: set_irq: core 0x0812, irq 2 => 5
ssb: after irq reconfiguration
ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0819, irq : 2(S)  3  4  5  6* D  I 
ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
ssb: core 0x0812, irq : 2(S)  3  4  5* 6  D  I 
ssb: core 0x081c, irq : 2(S)  3  4  5  6  D  I*
found serial flash.
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
can not read from flash: -1
ssb: Sonics Silicon Backplane found at address 0x18000000
Determined physical RAM map:
 memory: 01000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00001000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00001000
Built 1 zonelists in Zone order, mobility grouping off.  Total pages: 4064
Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 64 (order: -4, 256 bytes)
Dentry cache hash table entries: 2048 (order: 1, 8192 bytes)
Inode-cache hash table entries: 1024 (order: 0, 4096 bytes)
Primary instruction cache 16kB, VIPT, 4-way, linesize 16 bytes.
Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
Memory: 13316k/16384k available (2249k kernel code, 3068k reserved, 331k data, 156k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 239.10 BogoMIPS (lpj=478208)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
Switched to NOHz mode on CPU #0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 512 (order: 0, 4096 bytes)
TCP bind hash table entries: 512 (order: -1, 2048 bytes)
TCP: Hash tables configured (established 512 bind 512)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 26
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
bcm47xx_pflash: error registering platform driver: -19
bcm47xx_sflash: found serial flash: blocksize=64KB, numblocks=64, size=4096KB
bcm47xx_part: bootloader size: 131072
bcm47xx_part: Looking for dual image
bcm47xx_part: TRX offset : 0
bcm47xx_part: Updating TRX offsets and length:
bcm47xx_part: old trx = [0x0000001c, 0x00000968, 0x000d9800], len=0x002d1000 crc32=0x6e7410c8
bcm47xx_part: new trx = [0x0000001c, 0x00000968, 0x000d9800], len=0x000d9800 crc32=0x924b9fd7
bcm47xx_part: Done
4 bcm47xx partitions found on MTD device bcm47xx-sflash
Creating 4 MTD partitions on "bcm47xx-sflash":
0x000000000000-0x000000020000 : "cfe"
0x000000020000-0x0000003f0000 : "linux"
0x0000000f9800-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=2B0000, len=140000 
0x0000002b0000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "nvram"
b44: b44.c:v2.0
b44: Invalid MAC address found in EEPROM
b44 ssb0:0: Problem fetching invariants of chip, aborting
b44: probe of ssb0:0 failed with error -22
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 156k freed
diag: Router model not detected.
roboswitch: Probing device eth0: No such device
roboswitch: Probing device eth1: No such device
roboswitch: Probing device eth2: No such device
roboswitch: Probing device eth3: No such device
diag: Router model not detected.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
- init -

Please press Enter to activate this console. Compat-wireless backport release: compat-wireless-2011-09-28-6-g8163a60
Backport based on wireless-testing.git master-2011-10-05
cfg80211: Calling CRDA to update world regulatory domain
roboswitch: Probing device eth0: No such device
roboswitch: Probing device eth1: No such device
roboswitch: Probing device eth2: No such device
roboswitch: Probing device eth3: No such device
b43-phy0: Broadcom 5354 WLAN found (core revision 13)
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Broadcom 43xx driver loaded [ Features: PNL ]
Broadcom 43xx-legacy driver loaded [ Features: PLID ]
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
nf_conntrack version 0.5.0 (210 buckets, 840 max)



BusyBox v1.18.5 (2011-10-21 00:17:27 CST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 ATTITUDE ADJUSTMENT (bleeding edge, r28489) ----------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# ifconfig
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

root@OpenWrt:/# uname -ajffs2_scan_eraseblock(): End of filesystem marker found at 0x0
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... 
Linux OpenWrt 3.0.3 #2 Fri Oct 21 09:12:55 CST 2011 mips GNU/Linux
root@OpenWrt:/# done.
JFFS2 notice: (749) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.

root@OpenWrt:/# 
root@OpenWrt:/# reboot
root@OpenWrt:/# bcm47xx_wdt: Unexpected close, not stopping watchdog!
Restarting system.
Please stand by while rebooting the system...


CFE for WGR614v8 version: 1.3
Build Date: Fri Apr 20 14:04:44 CST 2007 
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 4.138.1.0
Device eth0:  hwaddr FF-FF-FF-FF-FF-FF, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
CFE> ^C

comment:34 follow-up: Changed 5 years ago by anonymous

Hauke, do you need additional information?

comment:35 in reply to: ↑ 34 Changed 5 years ago by hauke

Replying to anonymous:

Hauke, do you need additional information?

Sorry I am busiy with some other things now, but I will have some time next week. Your problem looks like an error in the nvram read from serial flash on ssb based devices.

comment:36 Changed 5 years ago by anonymous

Dear Hauke,

please don't forget us!

Thanks

comment:37 Changed 5 years ago by anonymous

ok, how can we help now?

comment:38 Changed 5 years ago by anonymous

Hauke?

comment:39 Changed 5 years ago by anonymous

hello?

comment:40 Changed 5 years ago by anonymous

+1

comment:41 Changed 5 years ago by anonymous

bump

comment:42 Changed 5 years ago by anonymous

BUMP!

comment:43 Changed 5 years ago by jow

Your bumping is futile, it will not speed up anything and its sole effect is that it annoys the developers and anyone subscribed to this ticket.

Combined with the fact that you do not even bother to fill in a username or email address it makes you appear like an impatient whiner. Seriously if you want to speed things up then take a stab at it yourself, else just stay put until there is progress.

Changed 5 years ago by florida

Add board id in netgear patch for the model wndr3700 version 3

comment:44 Changed 5 years ago by ludovic

i am also interrested to have openwrt backfire version on my wnr3500L.

any update ?

thanks for your work,

comment:45 Changed 5 years ago by anonymous

@jow: nobody wants to be unkind and annoy the developers, while it might be true that we are impatient whiners ;-).

if you provide us with instructions on how we can help, we will try our best!

comment:46 Changed 5 years ago by hauke

Could someone please provide me with the content of the board_data partition, so that I am able to fix the config parsing.

comment:47 Changed 5 years ago by anonymous

i would help, but: how or with which command can i get the content of the board_data partition?
i have tomato from myopenrouter.com installed

Changed 5 years ago by myeyre@…

wnr3500l board_data partition dumped under tomato usb

comment:48 Changed 5 years ago by myeyre@…

You can tell board_data partition number by entering:

cat /proc/mtd

Then you can dump it using:

cat /dev/mtd5 > ~/board_data.bin

Then start sshd/sshd/samba daemon on your router, download it to your PC.

I uploaded mine and hope it will help.

comment:49 Changed 5 years ago by florianaliasn3rd@…

Mine is attached, dumped under Tomato-USB, too. Hope it'll help!

http://cl.ly/3T3O0S2z3C1S0Y3w2d2C

Changed 5 years ago by florida

board data from the original firmare (V1.2.2.44_35.0.53)

comment:50 Changed 4 years ago by johndescs

What's lacking to get progress here? I may help: I have a WNR3500L v2 here. I would really like to get OpenWrt working as I need multiwan support.

comment:51 Changed 4 years ago by anonymous

I would like to see NETGEAR WNR3500L support too. Any new update?

comment:52 Changed 4 years ago by anonymous

to the developers: is it possible to help somehow to have any progress?
thanks in advance!

comment:53 Changed 4 years ago by hauke

  • Resolution set to fixed
  • Status changed from assigned to closed

The Netgear WNR3500L V1 should be supported by OpenWrt trunk now (Ethernet should work, wifi just ieee80211g rates and no 5 GHz with b43). Select bgmac for the Ethernet driver.

If there are still problems with this device reopen the ticket, if there are problems with other devices open a new ticket.

Last edited 4 years ago by hauke (previous) (diff)

comment:54 Changed 4 years ago by anonymous

Thank you, Hauke, this is great news! I'll try it

comment:55 follow-up: Changed 4 years ago by anonymous

I can indeed confirm that it works now. I installed openwrt on my WNR3500L v1 by following the instructions on
http://wiki.openwrt.org/toh/netgear/wnr3500l

Everything (including WLAN and Ethernet) just seems fine an stable. Many thanks to all the devs that made this possible!

comment:56 in reply to: ↑ 55 Changed 4 years ago by anonymous

Replying to anonymous:

I can indeed confirm that it works now. I installed openwrt on my WNR3500L v1 by following the instructions on
http://wiki.openwrt.org/toh/netgear/wnr3500l

Everything (including WLAN and Ethernet) just seems fine an stable. Many thanks to all the devs that made this possible!

This is awesome, any chance of a build in /snapshots/trunk/brcm47xx/ ?

comment:57 follow-up: Changed 4 years ago by jcharest@…

I also have tried this release on my router and it works fine except one problem:

Although wlan0 and eth0.0 are bridged, wireless clients cannot ping lan clients and vice-versa. The router can ping all clients though.

I have taken some traces and its seems the arp broadcasts get through but the replies do not (unicast).

At first, I though it might have been a problem in the switch driver so I did some tests and cross-verification with the broadcom driver (http://svn.dd-wrt.com/browser/src/linux/brcm/linux-2.6.23/brcm/shared/bcmrobo.c). I did not find my problem although I did find a few other problems and fixed them (for example reading the vlan port members from /proc did not work). Perhaps I should send those fixes ?

So for my problem, the only other thing I can think of is that I receive a lot of arp requests from my ISP on eth0.1 but that should not cause problems on eth0.0 since arp learning in the switch is setup per vlan.

Does anyone else have this problem? This could help me narrow it down.

comment:58 follow-up: Changed 4 years ago by jcharest@…

Does anyone have the register maps and documentation for the broadcom 53xx[x] switches (53115 in this case)? It is not available on their website and I would like more info on mac learning, mirroring and fetching stats.

comment:59 Changed 4 years ago by anonymous

Although wlan0 and eth0.0 are bridged, wireless clients cannot ping lan clients and vice-versa. The router can ping all clients though.

I noticed the same thing. Bridged lan/wlan does not work. I worked around it by configuring lan and wifi as two separate subnets and creating corresponding zone forwarding rules.

comment:60 in reply to: ↑ 57 Changed 4 years ago by hauke

Replying to jcharest@…:

I also have tried this release on my router and it works fine except one problem:

Although wlan0 and eth0.0 are bridged, wireless clients cannot ping lan clients and vice-versa. The router can ping all clients though.

The driver was not in promisc mode when bridged to the Wifi AP. This is fixed in r35507.

At first, I though it might have been a problem in the switch driver so I did some tests and cross-verification with the broadcom driver (http://svn.dd-wrt.com/browser/src/linux/brcm/linux-2.6.23/brcm/shared/bcmrobo.c). I did not find my problem although I did find a few other problems and fixed them (for example reading the vlan port members from /proc did not work). Perhaps I should send those fixes ?

Could you send those changes as a patch I am interested in them as I still have some other problems with the Ethernet driver + switch on other devices.

comment:61 follow-up: Changed 4 years ago by jcharest@…

Nice, I will try a new snapshot then!!!

So here is the patch of the modifications I made. There is the part to be able to read vlan ports from proc (on !5325) and I changed ports initialization a little bit since there seemed to be inconsistencies (when comparing with broadcom's driver). I cannot guarantee I did not break anything (especially on other switch models).

Index: package/switch/src/switch-robo.c
===================================================================
--- package/switch/src/switch-robo.c	(revision 35416)
+++ package/switch/src/switch-robo.c	(working copy)
@@ -17,7 +17,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  * 02110-1301, USA.
  */
 
@@ -75,7 +75,7 @@
 	u8 gmii;			/* gigabit mii */
 	struct ifreq ifr;
 	struct net_device *dev;
-	unsigned char port[6];
+	unsigned char port[9];
 };
 
 /* Currently we can only have one device in the system. */
@@ -247,11 +247,18 @@
 		}
 
 		last_port = (robo.devid == ROBO_DEVICE_ID_5398) ?
-				ROBO_PORT6_CTRL : ROBO_PORT3_CTRL;
-		for (i = ROBO_PORT0_CTRL; i < last_port + 1; i++)
+				ROBO_PORT7_CTRL : ROBO_PORT4_CTRL;
+		for (i = ROBO_PORT0_CTRL; i <= last_port; i++)
 			robo_write16(ROBO_CTRL_PAGE, i, 0);
+		robo_write16(ROBO_CTRL_PAGE, ROBO_IM_PORT_CTRL, 0);
 	}
 
+	if (robo.devid == ROBO_DEVICE_ID_53115) {
+		/* Make IM port status link by default */
+		val = robo_read16(ROBO_CTRL_PAGE, ROBO_PORT_OVERRIDE_CTRL) | 0x81;
+		robo_write16(ROBO_CTRL_PAGE, ROBO_PORT_OVERRIDE_CTRL, val);
+	}
+
 #ifdef CONFIG_BCM47XX
 	/* WAN port LED, except for Netgear WGT634U */
 	if (bcm47xx_nvram_getenv("nvram_type", buf, sizeof(buf)) >= 0) {
@@ -294,9 +301,6 @@
 	}
 
 	robo.device = devname;
-	for (i = 0; i < 5; i++)
-		robo.port[i] = i;
-	robo.port[5] = 8;
 
 	/* try access using MII ioctls - get phy address */
 	err = do_ioctl(SIOCGMIIPHY);
@@ -333,6 +337,18 @@
 		robo.devid = ROBO_DEVICE_ID_5325; /* Fake it */
 	robo.is_5350 = robo_vlan5350(phyid);
 
+	/* Fill ports */
+	if (robo.devid != ROBO_DEVICE_ID_5325) {
+		for (i = 0; i < 5; i++)
+			robo.port[i] = i;
+	}
+	else
+	{
+		for (i = 0; i < 8; i++)
+			robo.port[i] = i;
+	}
+	robo.port[i] = ROBO_IM_PORT_CTRL;
+
 	robo_switch_reset();
 	err = robo_switch_enable();
 	if (err)
@@ -353,23 +369,55 @@
 
 static int handle_vlan_port_read(void *driver, char *buf, int nr)
 {
+	switch_driver *d = (switch_driver *) driver;
 	__u16 val16;
+	__u32 val32;
 	int len = 0;
 	int j;
 
 	val16 = (nr) /* vlan */ | (0 << 12) /* read */ | (1 << 13) /* enable */;
 
-	if (robo.is_5350) {
-		u32 val32;
+
+	if (robo.devid != ROBO_DEVICE_ID_5325) {
+		__u8 vtbl_entry, vtbl_index, vtbl_access;
+
+		if ((robo.devid == ROBO_DEVICE_ID_5395) || (robo.devid == ROBO_DEVICE_ID_53115)) {
+			vtbl_access = ROBO_VTBL_ACCESS_5395;
+			vtbl_index = ROBO_VTBL_INDX_5395;
+			vtbl_entry = ROBO_VTBL_ENTRY_5395;
+		} else {
+			vtbl_access = ROBO_VTBL_ACCESS;
+			vtbl_index = ROBO_VTBL_INDX;
+			vtbl_entry = ROBO_VTBL_ENTRY;
+		}
+
+		robo_write16(ROBO_ARLIO_PAGE, vtbl_index, nr);
+		robo_write16(ROBO_ARLIO_PAGE, vtbl_access, (1 << 7) | (1 << 0));
+		val32 = robo_read32(ROBO_ARLIO_PAGE, vtbl_entry);
+		for (j = 0; j < d->ports; j++) {
+			if (val32 & (1 << j)) {
+				len += sprintf(buf + len, "%d", j);
+				if (val32 & (1 << (j + d->ports))) {
+					if (j == d->ports - 1) buf[len++] = 'u';
+				} else {
+					buf[len++] = 't';
+					if (robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_PORT0_DEF_TAG + (j << 1)) == nr)
+						buf[len++] = '*';
+				}
+				buf[len++] = '\t';
+			}
+		}
+		len += sprintf(buf + len, "\n");
+	} else {
 		robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS_5350, val16);
 		/* actual read */
 		val32 = robo_read32(ROBO_VLAN_PAGE, ROBO_VLAN_READ);
 		if ((val32 & (1 << 20)) /* valid */) {
-			for (j = 0; j < 6; j++) {
+			for (j = 0; j < d->ports; j++) {
 				if (val32 & (1 << j)) {
 					len += sprintf(buf + len, "%d", j);
-					if (val32 & (1 << (j + 6))) {
-						if (j == 5) buf[len++] = 'u';
+					if (val32 & (1 << (j + d->ports))) {
+						if (j == d->ports - 1) buf[len++] = 'u';
 					} else {
 						buf[len++] = 't';
 						if (robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_PORT0_DEF_TAG + (j << 1)) == nr)
@@ -380,26 +428,6 @@
 			}
 			len += sprintf(buf + len, "\n");
 		}
-	} else {
-		robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS, val16);
-		/* actual read */
-		val16 = robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_READ);
-		if ((val16 & (1 << 14)) /* valid */) {
-			for (j = 0; j < 6; j++) {
-				if (val16 & (1 << j)) {
-					len += sprintf(buf + len, "%d", j);
-					if (val16 & (1 << (j + 7))) {
-						if (j == 5) buf[len++] = 'u';
-					} else {
-						buf[len++] = 't';
-						if (robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_PORT0_DEF_TAG + (j << 1)) == nr)
-							buf[len++] = '*';
-					}
-					buf[len++] = '\t';
-				}
-			}
-			len += sprintf(buf + len, "\n");
-		}
 	}
 
 	buf[len] = '\0';
@@ -418,34 +446,43 @@
 		return -EINVAL;
 
 	for (j = 0; j < d->ports; j++) {
-		if ((c->untag | c->pvid) & (1 << j))
+		if ((c->untag | c->pvid) & (1 << j)) {
 			/* change default vlan tag */
 			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_PORT0_DEF_TAG + (j << 1), nr);
+		}
 	}
 
 	/* write config now */
-
 	if (robo.devid != ROBO_DEVICE_ID_5325) {
-		__u8 regoff = ((robo.devid == ROBO_DEVICE_ID_5395) ||
-			(robo.devid == ROBO_DEVICE_ID_53115)) ? 0x20 : 0;
+		__u8 vtbl_entry, vtbl_index, vtbl_access;
 
-		robo_write32(ROBO_ARLIO_PAGE, 0x63 + regoff, (c->untag << 9) | c->port);
-		robo_write16(ROBO_ARLIO_PAGE, 0x61 + regoff, nr);
-		robo_write16(ROBO_ARLIO_PAGE, 0x60 + regoff, 1 << 7);
-		kfree(c);
-		return 0;
-	}
+		if ((robo.devid == ROBO_DEVICE_ID_5395) || (robo.devid == ROBO_DEVICE_ID_53115)) {
+			vtbl_access = ROBO_VTBL_ACCESS_5395;
+			vtbl_index = ROBO_VTBL_INDX_5395;
+			vtbl_entry = ROBO_VTBL_ENTRY_5395;
+		} else {
+			vtbl_access = ROBO_VTBL_ACCESS;
+			vtbl_index = ROBO_VTBL_INDX;
+			vtbl_entry = ROBO_VTBL_ENTRY;
+		}
 
-	val16 = (nr) /* vlan */ | (1 << 12) /* write */ | (1 << 13) /* enable */;
-	if (robo.is_5350) {
-		robo_write32(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE_5350,
-			(1 << 20) /* valid */ | (c->untag << 6) | c->port);
-		robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS_5350, val16);
-	} else {
-		robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE,
-			(1 << 14)  /* valid */ | (c->untag << 7) | c->port);
-		robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS, val16);
+		robo_write32(ROBO_ARLIO_PAGE, vtbl_entry, (c->untag << d->ports) | c->port);
+		robo_write16(ROBO_ARLIO_PAGE, vtbl_index, nr);
+		robo_write16(ROBO_ARLIO_PAGE, vtbl_access, 1 << 7);
 	}
+	else
+	{
+		val16 = (nr) /* vlan */ | (1 << 12) /* write */ | (1 << 13) /* enable */;
+		if (robo.is_5350) {
+			robo_write32(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE_5350,
+				(1 << 20) /* valid */ | (c->untag << 6) | c->port);
+			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS_5350, val16);
+		} else {
+			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE,
+				(1 << 14)  /* valid */ | (c->untag << 7) | c->port);
+			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS, val16);
+		}
+	}
 
 	kfree(c);
 	return 0;
@@ -534,7 +571,7 @@
 	}
 
 	bmcr_mask = ~(BMCR_SPEED1000 | BMCR_SPEED100 | BMCR_FULLDPLX | BMCR_ANENABLE | BMCR_ANRESTART);
-	mdio_write(robo.port[nr], MII_BMCR, 
+	mdio_write(robo.port[nr], MII_BMCR,
 		(mdio_read(robo.port[nr], MII_BMCR) & bmcr_mask) | bmcr);
 
 	return 0;
@@ -548,11 +585,15 @@
 static int handle_enable_vlan_write(void *driver, char *buf, int nr)
 {
 	int disable = ((buf[0] != '1') ? 1 : 0);
+	__u16 val16;
 
+	val16 = robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_CTRL0);
 	robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_CTRL0, disable ? 0 :
-		(1 << 7) /* 802.1Q VLAN */ | (3 << 5) /* mac check and hash */);
+		val16 | (1 << 7) /* 802.1Q VLAN */ | (3 << 5) /* mac check and hash */);
+
+	val16 = robo_read16(ROBO_VLAN_PAGE, ROBO_VLAN_CTRL1);
 	robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_CTRL1, disable ? 0 :
-		(robo.devid == ROBO_DEVICE_ID_5325 ? (1 << 1) :
+		val16 | (robo.devid == ROBO_DEVICE_ID_5325 ? (1 << 1) :
 		0) | (1 << 2) | (1 << 3)); /* RSV multicast */
 
 	if (robo.devid != ROBO_DEVICE_ID_5325)
@@ -576,16 +617,32 @@
 	set_switch(0);
 
 	/* reset vlans */
-	for (j = 0; j <= ((robo.is_5350) ? VLAN_ID_MAX5350 : VLAN_ID_MAX); j++) {
-		/* write config now */
-		val16 = (j) /* vlan */ | (1 << 12) /* write */ | (1 << 13) /* enable */;
-		if (robo.is_5350)
+	if (robo.devid != ROBO_DEVICE_ID_5325) {
+		__u8 vtbl_entry, vtbl_index, vtbl_access;
+
+		if ((robo.devid == ROBO_DEVICE_ID_5395) || (robo.devid == ROBO_DEVICE_ID_53115)) {
+			vtbl_access = ROBO_VTBL_ACCESS_5395;
+			vtbl_index = ROBO_VTBL_INDX_5395;
+			vtbl_entry = ROBO_VTBL_ENTRY_5395;
+		} else {
+			vtbl_access = ROBO_VTBL_ACCESS;
+			vtbl_index = ROBO_VTBL_INDX;
+			vtbl_entry = ROBO_VTBL_ENTRY;
+		}
+
+		for (j = 0; j <= ((robo.is_5350) ? VLAN_ID_MAX5350 : VLAN_ID_MAX); j++) {
+			/* write config now */
+			robo_write32(ROBO_ARLIO_PAGE, vtbl_entry, 0);
+			robo_write16(ROBO_ARLIO_PAGE, vtbl_index, j);
+			robo_write16(ROBO_ARLIO_PAGE, vtbl_access, 1 << 7);
+		}
+	} else {
+		for (j = 0; j <= VLAN_ID_MAX5350; j++) {
+			/* write config now */
+			val16 = (j) /* vlan */ | (1 << 12) /* write */ | (1 << 13) /* enable */;
 			robo_write32(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE_5350, 0);
-		else
-			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_WRITE, 0);
-		robo_write16(ROBO_VLAN_PAGE, robo.is_5350 ? ROBO_VLAN_TABLE_ACCESS_5350 :
-							    ROBO_VLAN_TABLE_ACCESS,
-			     val16);
+			robo_write16(ROBO_VLAN_PAGE, ROBO_VLAN_TABLE_ACCESS_5350, val16);
+		}
 	}
 
 	/* reset ports to a known good state */

comment:62 in reply to: ↑ 61 Changed 4 years ago by jow

Replying to jcharest@…:

So here is the patch of the modifications I made.

Follow https://dev.openwrt.org/wiki/SubmittingPatches.
Diffs attached to or pasted into ticket descriptions are usually ignored.

comment:63 Changed 4 years ago by hauke

Thank you for the patch, I used it as a base and did some more changes to the switch driver. Now it also works with the bcm53125 switch.

comment:64 Changed 4 years ago by anonym

OpenWRT is awesome!
Is there any chance we can get wifi chip working also in 802.11n mode?

comment:65 Changed 4 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:66 follow-up: Changed 4 years ago by hauke

  • Resolution set to fixed
  • Status changed from reopened to closed

Why is this reopened?

I am currently working on adding AP mode support to brcmsmac, then there is a open source driver supporting this devices with 80211n rate and 5GHz support.

Have you tried broadcom-wl on this devices to get 80211n rates?

comment:67 in reply to: ↑ 66 Changed 4 years ago by Jester

Replying to hauke:

Why is this reopened?

I am currently working on adding AP mode support to brcmsmac, then there is a open source driver supporting this devices with 80211n rate and 5GHz support.

Have you tried broadcom-wl on this devices to get 80211n rates?

Yes, using profile Broadcom-bgmac-wl works fine also in g+ mode.
What about Power LED and wifi LED always orange?

comment:68 in reply to: ↑ 58 Changed 4 years ago by Ruedii

Agreed, with Hauke, this should be considered fixed if it is working with some minor bugs. (Such as full LED function.)

The new bugs should be opened.

As a note, someone needs to update the Table of Hardware on the Wiki to indicate 3500L-v1 supported and 3500L-v2 possible to support but not yet supported. Details should be added as to what is necessary for support of the v2.

comment:69 Changed 4 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hi anybody has noted that, WNR3500L wireless cannot scan any AP after flashing Openwrt firmware. For example, when I used the command "iw wlan0 scan" to scan AP, nothing was returned.

comment:70 Changed 3 years ago by hauke

  • Resolution set to fixed
  • Status changed from reopened to closed

To make the LEDs and buttons work correctly someone has to create a patch adding a GPIO config for this device, something like this r37667. There are some hints in the nvram and then you have to manually set the GPIOs and see if a LED changes. Please send the patch to the OpenWrt dev List and add me in CC

The 3500L-v2 uses a different SoC and this should not be done in this ticket.

When running "iw wlan0 scan" it returns nothing for the first time, but with the second call it works, this is a problem in the wifi driver and has to be investigated, but it is not stuff for this ticket.

comment:71 Changed 3 years ago by adam.westerberg@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

I'm now running OpenWRT trunk on my WNR3500L-v1

  • 802.11n doesn't work, not even with Broadcom "wl" driver. Both wl and wlc fails to set nmode.
  • Kernel-panics sometimes (see bellow, Interrupt handling?)

Kernel Panic:

[   23.760000] br-lan: port 2(wl0) entered forwarding state
[   23.764000] br-lan: port 2(wl0) entered forwarding state
[   23.924000] nas calls setitimer() with new_value NULL pointer. Misfeature support will be removed
[   25.768000] br-lan: port 2(wl0) entered forwarding state
procd: - init complete -
[  453.244000] skbuff: skb_over_panic: text:83b21074 len:57222 put:57222 head:833c5ca0 data:833c5ce0 tail:0x833d3c66 end:0x833c6300 dev:eth0
[  453.256000] Kernel bug detected[#1]:
[  453.256000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Tainted: P             3.10.18 #1
[  453.256000] task: 838210f8 ti: 8382c000 task.ti: 8382c000
[  453.256000] $ 0   : 00000000 11009c00 0000007d 80300000
[  453.256000] $ 4   : 11009c01 00000001 00000005 00000000
[  453.256000] $ 8   : 30687465 646e6520 3878303a 36633333
[  453.256000] $12   : 00000000 00000000 00000000 00000000
[  453.256000] $16   : 83af83cc 83afc448 83ae2460 83af83c0
[  453.256000] $20   : 0000002e 833c5ce0 83afd3d8 80370000
[  453.256000] $24   : 00000000 8016b648                  
[  453.256000] $28   : 8382c000 8382dd98 0000df68 801c68dc
[  453.256000] Hi    : 00000000
[  453.256000] Lo    : 834a9400
[  453.256000] epc   : 801c68dc skb_panic+0x60/0x64
[  453.256000]     Tainted: P            
[  453.256000] ra    : 801c68dc skb_panic+0x60/0x64
[  453.256000] Status: 11009c03	KERNEL EXL IE 
[  453.256000] Cause : 00800024
[  453.256000] PrId  : 00019740 (MIPS 74Kc)
[  453.256000] Modules linked in: pppoe ppp_async iptable_nat pppox ppp_generic pl2303 nf_nat_ipv4 nf_conntrack_ipv4 ipt_MASQUERADE ftdi_sio xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT usbserial slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ip_gre gre ip_tunnel tun wl(P) wl_glue ipv6 usb_storage sd_mod scsi_mod ext4 crc16 jbd2 mbcache usbcore nls_base usb_common ssb_hcd bcma_hcd bgmac crypto_hash
[  453.256000] Process ksoftirqd/0 (pid: 3, threadinfo=8382c000, task=838210f8, tls=00000000)
[  453.256000] Stack : 83b23054 802d73ec 83b21074 0000df86 0000df86 833c5ca0 833c5ce0 833d3c66
	  833c6300 83af8000 83b289e0 801c8b88 83afc448 83ae2460 83af83c0 0000002e
	  833c5ce0 83b21074 83b289e0 00000000 80300000 82a71608 83af83cc 00000000
	  00000040 0000012c 80300000 80300000 802fb108 80300000 80300000 801d3cb0
	  00000005 00000040 83137288 80024b40 000095a6 80046260 8036ddec 00000001
	  ...
[  453.256000] Call Trace:
[  453.256000] [<801c68dc>] skb_panic+0x60/0x64
[  453.256000] [<801c8b88>] skb_put+0x4c/0x54
[  453.256000] [<83b21074>] 0x83b21074
[  453.256000] 
[  453.256000] 
Code: afa90018  0c007c37  afa8001c <000c000d> 27bdffc0  afb30024  afb20020  afb1001c  afb00018 
[  453.488000] ---[ end trace f7977c5113fa1213 ]---
[  453.496000] Kernel panic - not syncing: Fatal exception in interrupt
[  453.496000] Rebooting in 3 seconds..
[  453.496000] Please stand by while rebooting the system...
Decompressing..........done

CFE:

CFE for WNR3500L version: v1.0.36
Build Date: Tue Aug 11 15:09:14 CST 2009 
Init Arena
Init Devs.
Boot partition size = 262144(0x40000)
Found a 8MB ST compatible serial flash
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.10.56.28
CPU type 0x19740: 453MHz
Tot mem: 65536 KBytes

Kernel:

Linux version 3.10.18 (fnord@tschunk) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2013.05 r38934) ) #1 Thu Nov 28 03:55:26 UTC 2013

Is there something I should avoid? (modules/software/network-wise)

comment:72 Changed 3 years ago by hauke

Is the kernel panic reproachable or does it happen from time to time?

The panic does not contain a symbol for 0x83b21074, but we assume it is bgmac, could you provide us with the output of "cat /proc/modules" before this panic happens? So you should save the output of that file and then reproduce the panic or wait till it happens again.

comment:73 Changed 3 years ago by adam.westerberg@…

No, much more random. Maybe when there's high load on br-lan bridge.

/proc/modules

iptable_nat 1952 1 - Live 0x82430000
nf_nat_ipv4 2910 1 iptable_nat, Live 0x8240f000
nf_conntrack_ipv4 5268 8 - Live 0x83378000
ipt_MASQUERADE 1088 1 - Live 0x82b74000
xt_time 1664 0 - Live 0x82986000
xt_tcpudp 1760 32 - Live 0x82b59000
xt_state 688 0 - Live 0x82b70000
xt_nat 1088 24 - Live 0x82a95000
xt_multiport 1216 0 - Live 0x82a0e000
xt_mark 672 0 - Live 0x82a7e000
xt_mac 608 0 - Live 0x82a30000
xt_limit 1072 20 - Live 0x833fe000
xt_conntrack 2208 10 - Live 0x829a2000
xt_comment 480 77 - Live 0x82af5000
xt_TCPMSS 2800 2 - Live 0x829c5000
xt_REDIRECT 1040 0 - Live 0x82a05000
xt_LOG 10368 0 - Live 0x82bd4000
xt_CT 2656 0 - Live 0x83356000
nf_nat_irc 944 0 - Live 0x82bf7000
nf_nat_ftp 1248 0 - Live 0x8313b000
nf_nat 11536 7 iptable_nat,nf_nat_ipv4,ipt_MASQUERADE,xt_nat,xt_REDIRECT,nf_nat_irc,nf_nat_ftp, Live 0x82bf4000
nf_defrag_ipv4 758 1 nf_conntrack_ipv4, Live 0x82be4000
nf_conntrack_irc 2848 1 nf_nat_irc, Live 0x82be8000
nf_conntrack_ftp 5232 1 nf_nat_ftp, Live 0x82b5a000
iptable_raw 640 1 - Live 0x82be9000
iptable_mangle 912 1 - Live 0x82bed000
iptable_filter 672 1 - Live 0x82bef000
ipt_REJECT 1840 2 - Live 0x82b95000
ip_tables 9181 4 iptable_nat,iptable_raw,iptable_mangle,iptable_filter, Live 0x82be0000
ip6t_REJECT 2480 2 - Live 0x82bd0000
ip6t_rt 1520 0 - Live 0x82b58000
ip6t_hbh 1296 0 - Live 0x82b20000
ip6t_mh 704 0 - Live 0x82af4000
ip6t_ipv6header 1072 0 - Live 0x82b00000
ip6t_frag 944 0 - Live 0x82a94000
ip6t_eui64 704 0 - Live 0x82aa0000
ip6t_ah 848 0 - Live 0x82a60000
ip6table_raw 576 1 - Live 0x833a0000
ip6table_mangle 1040 1 - Live 0x833e0000
ip6table_filter 608 1 - Live 0x82a04000
ip6_tables 8977 3 ip6table_raw,ip6table_mangle,ip6table_filter, Live 0x82a00000
x_tables 10981 32 ipt_MASQUERADE,xt_time,xt_tcpudp,xt_state,xt_nat,xt_multiport,xt_mark,xt_mac,xt_limit,xt_conntrack,xt_comment,xt_TCPMSS,xt_REDIRECT,xt_LOG,xt_CT,iptable_raw,iptable_mangle,iptable_filter,ipt_REJECT,ip_tables,ip6t_REJECT,ip6t_rt,ip6t_hbh,ip6t_mh,ip6t_ipv6header,ip6t_frag,ip6t_eui64,ip6t_ah,ip6table_raw,ip6table_mangle,ip6table_filter,ip6_tables, Live 0x8299c000
nf_conntrack_ipv6 6320 3 - Live 0x8315c000
nf_conntrack 48286 13 iptable_nat,nf_nat_ipv4,nf_conntrack_ipv4,ipt_MASQUERADE,xt_state,xt_conntrack,xt_CT,nf_nat_irc,nf_nat_ftp,nf_nat,nf_conntrack_irc,nf_conntrack_ftp,nf_conntrack_ipv6, Live 0x82990000
nf_defrag_ipv6 9089 1 nf_conntrack_ipv6, Live 0x83394000
tun 15551 0 - Live 0x82980000
wl 1501443 0 - Live 0x82800000 (P)
wl_glue 2447 1 wl, Live 0x832af000
ipv6 267900 30 ip6t_REJECT,ip6table_mangle,nf_conntrack_ipv6,nf_defrag_ipv6, Live 0x83300000
usb_storage 36920 0 - Live 0x83160000
sd_mod 26192 0 - Live 0x831e8000
scsi_mod 77826 2 usb_storage,sd_mod, Live 0x83200000
ext4 301705 0 - Live 0x83180000
crc16 1015 1 ext4, Live 0x83135000
jbd2 54828 1 ext4, Live 0x830f0000
mbcache 4077 1 ext4, Live 0x8310f000
usbcore 114133 1 usb_storage, Live 0x830c0000
nls_base 5070 1 usbcore, Live 0x830b2000
usb_common 1160 1 usbcore, Live 0x83081000
bgmac 14832 0 - Live 0x83b20000
crypto_hash 9546 2 ext4,jbd2, Live 0x83af8000

Panic:

[ 1894.344000] skbuff: skb_over_panic: text:83b21074 len:29470 put:29470 head:8311f200 data:8311f240 tail:0x8312655e end:0x8311f860 dev:eth0
[ 1894.356000] Kernel bug detected[#1]:
[ 1894.356000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Tainted: P             3.10.18 #1
[ 1894.356000] task: 838210f8 ti: 8382c000 task.ti: 8382c000
[ 1894.356000] $ 0   : 00000000 11009c00 0000007d 80300000
[ 1894.356000] $ 4   : 11009c01 00000001 00000005 00000000
[ 1894.356000] $ 8   : 30687465 646e6520 3878303a 66313133
[ 1894.356000] $12   : 00000000 00000000 00000000 00000000
[ 1894.356000] $16   : 83b383cc 83b3c448 825056a0 83b383c0
[ 1894.356000] $20   : 0000001b 8311f240 83b3ccb0 80370000
[ 1894.356000] $24   : 00000000 8016b648                  
[ 1894.356000] $28   : 8382c000 8382dd98 00007300 801c68dc
[ 1894.356000] Hi    : 00000000
[ 1894.356000] Lo    : 834a9400
[ 1894.356000] epc   : 801c68dc skb_panic+0x60/0x64
[ 1894.356000]     Tainted: P            
[ 1894.356000] ra    : 801c68dc skb_panic+0x60/0x64
[ 1894.356000] Status: 11009c03	KERNEL EXL IE 
[ 1894.356000] Cause : 00800024
[ 1894.356000] PrId  : 00019740 (MIPS 74Kc)
[ 1894.356000] Modules linked in: iptable_nat nf_nat_ipv4 nf_conntrack_ipv4 ipt_MASQUERADE xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 tun wl(P) wl_glue ipv6 usb_storage sd_mod scsi_mod ext4 crc16 jbd2 mbcache usbcore nls_base usb_common bgmac crypto_hash
[ 1894.356000] Process ksoftirqd/0 (pid: 3, threadinfo=8382c000, task=838210f8, tls=00000000)
[ 1894.356000] Stack : 83b23054 802d73ec 83b21074 0000731e 0000731e 8311f200 8311f240 8312655e
	  8311f860 83b38000 83bb9900 801c8b88 83b3c448 825056a0 83b383c0 0000001b
	  8311f240 83b21074 83bb9900 8013677c 82803348 00000100 83b383cc 00000000
	  00000040 0000012c 80300000 80300000 802fb108 80300000 80300000 801d3cb0
	  80300000 00000040 802f9f10 80045d4c 000614fb 80046260 8036ddec 00000009
	  ...
[ 1894.356000] Call Trace:
[ 1894.356000] [<801c68dc>] skb_panic+0x60/0x64
[ 1894.356000] [<801c8b88>] skb_put+0x4c/0x54
[ 1894.356000] [<83b21074>] 0x83b21074
[ 1894.356000] 
[ 1894.356000] 
Code: afa90018  0c007c37  afa8001c <000c000d> 27bdffc0  afb30024  afb20020  afb1001c  afb00018 
[ 1894.576000] ---[ end trace 33891db8b40743c4 ]---
[ 1894.588000] Kernel panic - not syncing: Fatal exception in interrupt
[ 1894.588000] Rebooting in 3 seconds..
[ 1894.588000] Please stand by while rebooting the system...

Feels like the Ethernet interface can't handle the packet load

comment:74 Changed 3 years ago by hauke

Please try the attached patch ( 775-bgmac-check-length-of-received-frame.patch ) and report back if this problem still occurs.

comment:75 Changed 3 years ago by anonymous

I still can't get USB to work properly, other functions except LED all work fine. I used imagebuilder which is released on 1/17/2014(snapshot), and installed necessary USB packages, USB hard drive is recognized for first couple of times, and can read and write fine. But, after wifi enabled or some other settings, there is no power anymore for USB port. Disabled wifi again, still no power on USB port, nothing can be detected. I reflashed several times, still not able to get USB working properly.

Sadly, went back to DD-WRT eventually.

comment:76 follow-ups: Changed 3 years ago by anonymous

I have the same problem (r9932). The USB port works fine, but when enabeling wifi "Generic MAC80211 802.11bg (radio0)", the usb looses power. I'm using a USB 3G modem.

So DD-WRT works?

comment:77 in reply to: ↑ 76 Changed 3 years ago by anonymous

Replying to anonymous:

I have the same problem (r9932). The USB port works fine, but when enabeling wifi "Generic MAC80211 802.11bg (radio0)", the usb looses power. I'm using a USB 3G modem.

So DD-WRT works?

I have to update my above statement.

I installed a clean "OpenWrt Barrier Breaker r39430 / LuCI Trunk (svn-r9951)", and now everything work like a charm! I can use my router's USB port for a 3G modem, and at the same time use the router as an access point. No tweaks needed!

After the flash, I installed the following: luci, kmod-usb-core, kmod-usb2, usbutils, comgt, kmod-usb-serial, kmod-usb-serial-option, kmod-usb-serial-wwan, usb-modeswitch and luci-proto-3g. After that I only needed to set up the 3G connection and the WLAN in Luci.

comment:78 in reply to: ↑ 76 Changed 3 years ago by anonymous

Replying to anonymous:

I have the same problem (r9932). The USB port works fine, but when enabeling wifi "Generic MAC80211 802.11bg (radio0)", the usb looses power. I'm using a USB 3G modem.

So DD-WRT works?

Same problem with USB HDD.

comment:79 Changed 3 years ago by Zajec

Hello WNR3500L users!

I was looking at this skb_over_panic issue and added workaround for it in r40424. Now instead of panic you should get debugging dump of ethernet device state.

Please give new snapshot a try and look for debugging dumps in your dmesg. I'd love to see one or two debugging dumps and write a final fix for that bug.

comment:80 Changed 3 years ago by nbd

  • Resolution set to no_response
  • Status changed from reopened to closed

comment:81 Changed 2 years ago by johndoe

  • Resolution no_response deleted
  • Status changed from closed to reopened

Hello there.
Which profile should I use to be able to use 802.11n?
Broadcom-bgmac-brcmsmac, Broadcom-bgmac-wl or Broadcom-bgmac-b43?

@Zajec which dumps do you need?

comment:82 Changed 2 years ago by hauke

  • Resolution set to fixed
  • Status changed from reopened to closed

Use the form for support requests and a ticket just to report a bug.

Broadcom-bgmac-brcmsmac or Broadcom-bgmac-wl are needed for ieee80211n rates.

comment:83 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:84 Changed 2 years ago by bobx@…

Hello guys,

I am running:

CHAOS CALMER (Bleeding Edge, r42611)

in a netgear WNR3500L (v1 I believe), and I cannot get 11n mode to work. Adding the following lines to /etc/config/wireless

list ht_capab 'SHORT-GI-40'
list ht_capab 'DSSS_CCK-40'
option hwmode '11ng'
option htmode 'HT40+'

and rebooting, yields a WIFI where I can connect to, but I cannot ping or go anywhere. i.e. it loses its ability to "route" packets from the WIFI to anywhere, including the router itself, becomes unpingable from the WIFI connected devices.

comment:85 Changed 2 years ago by eddie

  • Resolution fixed deleted
  • Status changed from closed to reopened

Yes, 802.11n mode doesn't work here.
Please, devs how can we enable 802.11n rates?

comment:86 Changed 2 years ago by anonymous

The wl driver didn't work for me for 11n mode.
The brcmsmac works to get the 11n mode but no support for 40 MHz.

-> http://wireless.kernel.org/en/users/Drivers/brcm80211#To_be_done_for_softmac_driver <-
If the driver supports 40 MHz, we will have that too.

That said, openwrt cannot do anything except develop the brcmsmac driver.
The image for the WNR3500L (brcm47xx/mips74k) should use the brcmsmac instead, so the package is usefull by default. (I was not able to get 11n mode working until I installed this driver.)

"I" would set to closed/fixed as soon as the default driver has changed.

comment:87 Changed 23 months ago by anonymous

I highly advise against installing OpenWRT BarrierBreaker (14.07) on the Netgear WNR3500L unless you are okay to live with a WAN throughput of 30Mbps or less. I am on a 200Mbps line and did a speedtest using the 3 firmwares: stock, dd-wrt, and openwrt. Both stock and dd-wrt firmwares were able to reach (and sustain) 200Mbps but openwrt was barely able to sustain a 30Mbps download. According to the openwrt wiki, this is a known issue with BCM47xx (WNR3500L chipset). Refer to http://wiki.openwrt.org/doc/hardware/soc/soc.broadcom.bcm47xx for more details on the known-issues.

I can't stress enough.

comment:88 Changed 20 months ago by Travis@…

What can I do to help add support for WNR3500Lv2? I have read the above comments about he CPU being different but it uses a BCM47xx SoC and the same switch chipset but the wiki and what's reported in Linux are incorrect.

I have sucessfully booted the kernel .elf image via CFE by running "boot -elf :" and then quickly sending the image with tftp but the v2 uses NAND flash and I believe that may be causing a problem. I also couldn't figure out how to get rootfs in memory and passed as a kernel parameter.

I will try to keep these comments updated if I make any progress getting the pre-build binaries from the image builder working. PLEASE send me images if you have anything to test, I have serial console access.

comment:89 Changed 19 months ago by rmilecki

  • Resolution set to fixed
  • Status changed from reopened to closed

About WNR3500L v1: Ethernet and WiFi limitations are described on wiki http://wiki.openwrt.org/doc/hardware/soc/soc.broadcom.bcm47xx#wifi_drivers

I believe *basic* support for this devices is done, so closing this ticket.

comment:90 in reply to: ↑ description Changed 9 months ago by anonymous

Replying to gregd72002@…:

I would like to see NETGEAR WNR3500L support.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.